Bug 80749 - Expad a window to one/all xinerama screens
Summary: Expad a window to one/all xinerama screens
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Unclassified
Component: xinerama (show other bugs)
Version: unspecified
Platform: openSUSE RPMs Linux
: NOR wishlist with 3 votes (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-05-01 18:56 UTC by Christian Wolfgang Hujer
Modified: 2012-03-11 06:58 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.9.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christian Wolfgang Hujer 2004-05-01 18:56:37 UTC
Version:           KWin 3.0 from KDE 3.2.2 / Qt 3.3.1 (using KDE KDE 3.2.2)
Installed from:    SuSE RPMs
OS:          Linux

KWin's Xinerama handling could be improved a bit by adding a new feature:
a user configurable key and a window / window menu feature should allow a window to be expanded in size to fill the whole desktop instead of a single xinerama screen.

This would be especially useful in Konsole when invoking vimdiff :-)

Workaround:
For konsole I did the following:
a) bind F11 to fullscreen
b) remove window border
c) expand to maximum
d) increase size to fill both xinerama screens
e) save window settings

Now I can use F11 to switch konsole's size between single screen and all screens.

Since this is not only useful for konsole but for other apps (umbrello for instance) as well, I reported this against kwin.

Thanks, bye
Comment 1 Christian Wolfgang Hujer 2004-05-26 14:50:43 UTC
I suggest to give this low priority, since it can be emulated using the expand window keyboard shortcuts.

Bye

Christian
Comment 2 Colinet Sylvain 2004-10-12 12:02:45 UTC
I prefer have 2 bouton in title bar for expand, one for only one screen and other for all screen
Comment 3 Martin Flöser 2012-03-11 06:58:09 UTC
KWin in 4.9 includes an optional script to create a "videowall", that is make fullscreen video players go over all screens.

Implementing a script to cover the functionality requested in this feature request is fairly simple and due to that I consider this request as implemented.